Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class VssRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.VssRepository

All Implemented Interfaces:
  java.io.Serializable

public class VssRepository
extends Repository

Microsoft visual source safe adaptor

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COMMAND_INPUT`
`static java.lang.String` | `DEFAULT_DATETIME_FORMAT`

Constructor Summary
`VssRepository()`

Method Summary
`protected void` | `appendLoginInfo(Commandline cmdLine)` Append login information to specified commandline object
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected org.apache.tools.ant.types.Environment` | `buildVssEnvironment()` Build necessary environment variable needed to run ss.exe, this typically includes SSDIR
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`protected java.lang.String` | `formatDateForVss(java.util.Date date)` Format specified date to use in vss command line
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getDateTimeFormat()` OGNL: Specify the date time format used for the Sourcesafe history command.
`java.util.Map` | `getDateTimeFormatChoices()`
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getSsExePath()` OGNL: Path to your ss.exe.
`java.lang.String` | `getVssDbPath()` OGNL: The directory where your srcsafe.ini resides in.
`java.lang.String` | `getVssPassword()` OGNL: Password for the above user name.
`java.lang.String` | `getVssUser()` OGNL: User name to use to login the above sourcesafe database.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setDateTimeFormat(java.lang.String dateTimeFormat)`
`void` | `setSsExePath(java.lang.String ssExePath)`
`void` | `setVssDbPath(java.lang.String vssDbPath)`
`void` | `setVssPassword(java.lang.String vssPassword)`
`void` | `setVssUser(java.lang.String vssUser)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATETIME_FORMAT

    public static final java.lang.String DEFAULT_DATETIME_FORMAT

See Also:
  Constant Field Values

### COMMAND_INPUT

    public static final java.lang.String COMMAND_INPUT

See Also:
  Constant Field Values

Constructor Detail

### VssRepository

    public VssRepository()

Method Detail

### getVssDbPath

    public java.lang.String getVssDbPath()

  OGNL: The directory where your srcsafe.ini resides in. For example: \\\\machine1\\directory1. NOTE: You should login to the remote machine first (In this case, machine1).
  Warning: In order to work with Sourcsafe repository, you need to run the application server (Tomcat by default) that hosts QuickBuild as a foreground process (instead of NT service).

  Returns:

### setVssDbPath

    public void setVssDbPath(java.lang.String vssDbPath)

### getVssUser

    public java.lang.String getVssUser()

  OGNL: User name to use to login the above sourcesafe database.

  Returns:

### setVssUser

    public void setVssUser(java.lang.String vssUser)

### getVssPassword

    public java.lang.String getVssPassword()

  OGNL: Password for the above user name.

  Returns:

### setVssPassword

    public void setVssPassword(java.lang.String vssPassword)

### getSsExePath

    public java.lang.String getSsExePath()

  OGNL: Path to your ss.exe. For example: C:\\Program Files\\Microsoft Visual Studio\\Common\\VSS\\win32\\ss.exe. It should be specified here, if it does not exist in the system path.

  Returns:

### setSsExePath

    public void setSsExePath(java.lang.String ssExePath)

### getDateTimeFormat

    public java.lang.String getDateTimeFormat()

  OGNL: Specify the date time format used for the Sourcesafe history command. To determine the correct date time format, take a look at language version of your Windows operating system, and then choose corresponding language from the drop down menu. For languages not listed here, or if you are using date time format other than the default one, please refer to the user's guide on how to specify this value.

  Returns:

### setDateTimeFormat

    public void setDateTimeFormat(java.lang.String dateTimeFormat)

### getDateTimeFormatChoices

    public java.util.Map getDateTimeFormatChoices()

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### appendLoginInfo

    protected void appendLoginInfo(Commandline cmdLine)

  Append login information to specified commandline object

  Parameters:
    `cmdLine` -

### buildVssEnvironment

    protected org.apache.tools.ant.types.Environment buildVssEnvironment()

  Build necessary environment variable needed to run ss.exe, this typically includes SSDIR

  Returns:

### formatDateForVss

    protected java.lang.String formatDateForVss(java.util.Date date)

  Format specified date to use in vss command line

  Parameters:
    `date` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.